mwAwareSnapshot Struct Reference

`#include <mw_common.h>`

## Data Fields

char * | alt_id
| alternate ID, often same as id.user
char * | group
| group this id belongs to
struct mwAwareIdBlock | id
char * | name
| Formatted version of ID.
gboolean | online
| is this user online?
struct mwUserStatus | status
| status of this user

## Field Documentation

## alt_id

char* mwAwareSnapshot::alt_id

alternate ID, often same as id.user

## group

char* mwAwareSnapshot::group

group this id belongs to

## id

struct mwAwareIdBlock mwAwareSnapshot::id

## name

char* mwAwareSnapshot::name

Formatted version of ID.

## online

gboolean mwAwareSnapshot::online

is this user online?

## status

struct mwUserStatus mwAwareSnapshot::status

status of this user

The documentation for this struct was generated from the following file:

- mw_common.h